<?php
/**
 * This file is part of webman.
 *
 * Licensed under The MIT License
 * For full copyright and license information, please see the MIT-LICENSE.txt
 * Redistributions of files must retain the above copyright notice.
 *
 * @author    walkor<walkor@workerman.net>
 * @copyright walkor<walkor@workerman.net>
 * @link      http://www.workerman.net/
 * @license   http://www.opensource.org/licenses/mit-license.php MIT License
 */

use Webman\Route;


#Laysense Simple Login
Route::group('/auth/lay', function () {
    Route::any('/{appid}',[app\controller\LayAuth::class, 'index']);
    #Route::any('/{appid}/{gateway}/callback',[app\controller\LayAuth::class, 'callback']);
      Route::any('/{appid}/callback',[app\controller\LayAuth::class, 'callback']);
    Route::any('/{appid}/check',[app\controller\LayAuth::class, 'check']);
 });

 Route::any('/.well-known/openid-configuration',[app\controller\OAuth::class, 'configfile']);
 Route::group('/auth/oauth', function () {
    Route::any('/authorize',[app\controller\OAuth::class, 'authorize']);
    Route::any('/token',[app\controller\OAuth::class, 'token']);
    #Route::any('/back/{appid}/{gateway}/callback',[app\controller\OAuth::class, 'callback']);
      Route::any('/back/{appid}',[app\controller\OAuth::class, 'callback']);
    Route::any('/userinfo',[app\controller\OAuth::class, 'userinfo']);

 });

 Route::group('/qywxoauth', function () {
   Route::any('/',[app\controller\QywxOauth::class, 'index']);
   Route::any('/answer/{uuid}',[app\controller\QywxOauth::class, 'answer']);
   Route::any('/ask/{uuid}',[app\controller\QywxOauth::class, 'ask']);
   Route::any('/info',[app\controller\QywxOauth::class, 'info']);
});

Route::group('/account', function () {
  Route::any('/loginCallback',[app\controller\Account::class, 'loginCallback']);
  Route::any('/info/extend',[app\controller\QywxOauth::class, 'answer']);
  Route::any('/ask/{uuid}',[app\controller\QywxOauth::class, 'ask']);
  Route::any('/info',[app\controller\QywxOauth::class, 'info']);
});

Route::any('/addusertest',function(){
  $requireFields=['name','sex','email','avatar','phone','address','sfz','birthday','realname'];
  return view('account/extend', ['userid'=>'ShenZiQi@laysense','username'=>'沈子淇','requireFields'=>$requireFields]);
});


 Route::fallback(function( $request){
    print_r($request);
    return json(['code' => 404, 'msg' => '404 not found']);
});